# $Revision: 1.18 $, $Date: 2004/11/26 21:03:40 $
Summary:	tla arch - revision control system
Summary(pl):	tla arch - system kontroli wersji
Name:		tla
Version:	1.3
%define	pre	pre3
Release:	0.%{pre}.1
Epoch:		1
License:	GPL v2
Group:		Development/Version Control
Source0:	http://www.seyza.com/releases/%{name}-%{version}%{pre}.tar.gz
# Source0-md5:	2e10eef523e5c14876db807057880c8b
# http://people.debian.org/~asuffield/daily/tla/lord/
Patch0:		%{name}-neon.patch
URL:		http://www.gnu.org/software/gnu-arch/
Requires:	diffutils
Requires:	patch
Requires:	tar
BuildRequires:	neon-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tla arch is a revision control system: a program that lets programmers
archive a history of changes made to the software they maintain and
that, more importantly, helps programmers to coordinate, synchronize,
and combine multiple lines of development for a single project.

arch version tla is a C version of the reference arch concepts.

%description -l pl
tla arch jest systemem kontroli wersji - programem, ktry pozwala
programistom archiwizowa histori zmian wykonanych w rozwijanym przez
nich oprogramowaniu oraz, co waniejsze, pomaga programistom
koordynowa, synchronizowa i czy wiele linii kodu podczas rozwoju
projektu.

arch w wersji tla to wersja w C wzorcowych idei arch.

%prep
%setup -q -n %{name}-%{version}%{pre}
%patch0 -p1

%build
rm -rf src/tla/libneon
ln -s /usr/include/neon src/tla/libneon
cd src
mkdir =build
cd =build

CFLAGS="%{rpmcflags}"
CXXFLAGS="%{rpmcflags}"
FFLAGS="%{rpmcflags}"
export CFLAGS CXXFLAGS FFLAGS

# custom configure script
../configure \
	--prefix=%{_prefix} \
	--destdir=$RPM_BUILD_ROOT \
	--with-ssh-is-openssh=1 \
	--with-cc="%{__cc}"
%{__make} -j1

# ok, I tested already
%{__make} -j1 test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 -C src/=build install

cp --recursive src/docs-tla/html html

rm -rf html/.arch-ids
rm -rf $RPM_BUILD_ROOT%{_libdir}
rm -rf $RPM_BUILD_ROOT%{_prefix}/src

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc html
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tla.spec,v $
Revision 1.18  2004/11/26 21:03:40  arekm
- up to pre3

Revision 1.17  2004/11/21 09:21:12  arekm
- 1.3 pre2

Revision 1.16  2004/11/02 00:08:50  arekm
- 1.3 pre1

Revision 1.15  2004/08/24 19:40:24  arekm
- rel 2

Revision 1.14  2004/08/24 19:38:35  arekm
R: diffutils, tar and patch (tla uses these externally)

Revision 1.13  2004/08/23 21:36:58  arekm
- build against external libneon; package only one type of docs

Revision 1.12  2004/08/23 20:55:44  arekm
- updated to 1.2.1; STBR

Revision 1.11  2004/03/13 02:00:59  arekm
- updated to 1.2

Revision 1.10  2003/12/22 13:29:32  jareq
- fixed url in Source0

Revision 1.9  2003/12/22 12:51:04  jareq
- updated to 1.1

Revision 1.8  2003/12/22 11:33:19  arekm
- updated to 1.1pre9

Revision 1.7  2003/11/17 20:40:11  jareq
- update to 1.1pre8

Revision 1.6  2003/10/21 22:21:21  qboosh
- removed COPYING (just GPL), =INSTALL,=RELEASE-ID (useless in rpm)

Revision 1.5  2003/10/21 22:15:29  qboosh
- pl, some cleanups

Revision 1.4  2003/10/11 21:06:05  jareq
- s/%{_bindir}/%{_bindir}\/\* in section %files
  ( %{_bindir} belong to FHS)
- release 2

Revision 1.3  2003/10/10 23:12:51  aredridel
- up to 1.1pre7

Revision 1.2  2003/09/01 15:37:49  ankry
- adapterized, pl summary, cosmetics; shouldn't be merged with arch.spec?

Revision 1.1  2003/08/31 22:35:45  aredridel
- added

* Thu Jul 10 2003 Angles <angles@aminvestments.com>
- bump to version tls 1.0.6

* Mon Jun 30 2003 Angles <angles@aminvestments.com>
- this is c version of larch called tls
- bump to version tls 1.0.4

* Sun May 21 2002 Angles <angles@aminvestments.com>
- bump to version 1.0pre16

* Sun May 05 2002 Angles <angles@aminvestments.com>
- bump to version 1.0pre15

* Thu Apr 11 2002 Angles <angles@aminvestments.com>
- bump to version 1.0pre14
- automate patch2 to match build hosts actual vars

* Mon Mar 27 2002 Angles <angles@phpgroupware.org>
- bump to version 1.0pre13
- redo patches so no version-name strings are in the patch paths

* Mon Mar 11 2002 Angles <angles@phpgroupware.org>
- initial package release, version 1.0pre11
- make symlinks in linexec tree relative to remove hard coded rpm buildroot path
- find useful docs and assemble for the rpm doc macro
